<?xml version="1.0"?>

<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

<ejb-jar>
	<enterprise-beans>
		<entity>
			<ejb-name>m05Vehiculos</ejb-name>
			<home>m05bVehiculosEJB.m05VehiculosHome</home>
			<remote>m05bVehiculosEJB.m05Vehiculos</remote>
			<ejb-class>m05bVehiculosEJB.m05VehiculosBean</ejb-class>
			<persistence-type>Container</persistence-type>
			<prim-key-class>m05bVehiculosEJB.m05VehiculosPK</prim-key-class>
			<reentrant>False</reentrant>
			<cmp-field>
				<field-name>veh_matricula</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_marca</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_rango</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_color</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_fmatric</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_vidautil</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_fgarantia</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_nserie</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_fbaja</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_precio</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_situacion</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_destino</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_iadic1</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_modelo</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_coddpto</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_kmrevis</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_rotul</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_impbaja</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_desdpto</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_motbaja</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_mesrevis</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_aparcado</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_observ</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_kmact</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_fkmact</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_expte</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_falta</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_poliza</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_amoanual</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_fadquis</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_autaparc</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_iadic2</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_amoacum</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_regadq</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_matricant</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_cvfisc</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_cvreal</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_vcontab</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_fbajatemp</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>veh_fcedido</field-name>
			</cmp-field>
		</entity>
	</enterprise-beans>
	<assembly-descriptor>
		<container-transaction>
			<method>
				<ejb-name>m05Vehiculos</ejb-name>
				<method-intf>Remote</method-intf>
				<method-name>*</method-name>
			</method>
			<trans-attribute>Required</trans-attribute>
		</container-transaction>
	</assembly-descriptor>
</ejb-jar>
